2

In a bit of a pickle as I am having this warning message (in the developer's menu of google) saying I am trying to connect with google fonts through http even though my site is set up to use https.

The actual error is as below and only occurs when I'm using the WP customizer. Thing is, I can't change any of my selected google fonts in the customizer because of this error.

load-scripts.php?c=0&load[]=jquery-core,jquery-migrate,jquery-ui-core,underscore,jquery-ui-widget,j…:3 Mixed Content: The page at 'https://japanfo.com/wp-admin/customize.php?url=https%3A%2F%2Fjapanfo.com%2Flistings%2Fnagoya-castle%2F' was loaded over HTTPS, but requested an insecure stylesheet 'http://fonts.googleapis.com/css?family=Hanken|Source+Sans+Pro|Playfair+Disp…ns+Pro|Delius|Lato|Flamenco|Lato|Vidaloka|Lato|Copse|Raleway&text=AaBbCcJa'. This request has been blocked; the content must be served over HTTPS.

Tried everything and so am reaching out here.

  • Before we start guessing, could you tell us what the "everything" is you have already tried? (like making sure there is no hardcoded 'http' in your theme) – cjbj Aug 22 '16 at 7:27
  • Sure, my apologies. I'm not a developer so please excuse my ignorance and use of simple terminology at times. I looked through all the stylesheets and could find no http references for google fonts. I also scanned all the files in the theme for references and nothing. I guess my everything is not all that comprehensive but it's all I know what to do. – Robert Khoo Aug 22 '16 at 12:43
1

The problem is probably in the way your fonts are being enqueued in the functions.php file of your theme. Look for instances of wp_register_style and see if you find the google fonts api there with http. It's possible that your theme has its customizer settings in a different php file, so you should probably also check for a file called customizer.php or theme-mods.php or so.

Beware that if you change theme files and the theme is updated, you will loose your modifications. The royal way would be to create a child theme.

  • Thanks so much for the advice. The theme developers came back to me after a few days and suggested completely deleting and reinstalling a customizer plugin for the theme. This did the trick of getting rid of the error....thank god. Sadly it hasn't fixed the error I was trying to fix as there seems to be a JS conflict on the page stopping the customizer working..... – Robert Khoo Aug 25 '16 at 12:04
  • You could always make that into a new question – cjbj Aug 25 '16 at 12:17

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.